/* Default Options */
/* Media Query */
/* Transform Font Size */
/* --------------------------------- */
.p-product-list {
  display: flex;
  flex-direction: column;
  row-gap: 80px;
}
.p-product-list .card {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 20px;
}
.p-product-list .card .title {
  width: 100%;
  font-weight: 600;
  line-height: 1.4;
  color: var(--accent-color2);
}
.p-product-list .card p {
  width: 100%;
}
.p-product-list .card .price {
  width: 100%;
  font-size: 1.25rem;
  line-height: 1;
}
.p-product-list .card .button {
  margin-block-start: 20px;
}
.p-product-detail {
  display: flex;
  flex-direction: column;
  row-gap: 80px;
  overflow: hidden;
}
.p-product-detail-image {
  width: 100vw;
  position: relative;
  left: calc(var(--contents-inner-padding) * -1);
}
.p-product-detail-inner {
  position: relative;
}
.p-product-detail-inner .inner {
  display: flex;
  flex-direction: column;
  row-gap: var(--space-xs);
}
.p-product-detail-inner .title {
  padding-block-end: var(--space-xs);
  border-block-end: 1px solid rgba(0, 0, 0, 0.2);
  font-size: clamp(1.5rem, 1.2954545455rem + 0.5681818182vw, 1.75rem);
  font-weight: 600;
  line-height: 1.4;
  color: var(--accent-color2);
}
.p-product-detail-inner .price {
  font-size: clamp(1rem, 0.8977272727rem + 0.2840909091vw, 1.125rem);
  font-weight: 600;
  line-height: 1;
}
.p-product-detail-inner .price span {
  font-size: clamp(1.25rem, 1.0454545455rem + 0.5681818182vw, 1.5rem);
}
.p-product-detail-inner .number {
  display: grid;
  grid-template-columns: auto 1fr;
  column-gap: var(--space-xs);
  align-items: center;
}
.p-product-detail-inner .number dt {
  font-size: clamp(1rem, 0.8977272727rem + 0.2840909091vw, 1.125rem);
}
.p-product-detail-inner .number dd select {
  width: 100%;
  padding-inline: var(--space-xxs);
  height: clamp(48px, 4vw, 60px);
  background-color: var(--bg-color);
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  box-sizing: border-box;
}
.p-product-detail-inner .button button {
  justify-content: center;
  gap: 0;
}
.p-product-detail-inner .button button .icon {
  width: clamp(36px, 3vw, 48px);
  margin-inline-end: 10px;
}
.p-product-detail-inner .button button .icon svg {
  fill: var(--bg-color);
}
.p-product-detail-inner .button button .u-txt-font-serif {
  margin-inline-end: 20px;
}
.p-product-detail-wrap {
  display: flex;
  flex-direction: column;
  row-gap: var(--space-sm);
}
.p-product-detail-wrap .section .title {
  margin-block-end: 20px;
  padding-block-end: 15px;
  border-block-end: 1px solid rgba(0, 0, 0, 0.2);
  line-height: 1;
}
.p-product-detail-wrap .section .table {
  width: 100%;
  border-block-start: 1px solid rgba(0, 0, 0, 0.2);
  border-inline-start: 1px solid rgba(0, 0, 0, 0.2);
  border-collapse: collapse;
  border-spacing: 0;
}
.p-product-detail-wrap .section .table th,
.p-product-detail-wrap .section .table td {
  padding-block: 10px;
  padding-inline: var(--space-xxs);
  border-block-end: 1px solid rgba(0, 0, 0, 0.2);
  border-inline-end: 1px solid rgba(0, 0, 0, 0.2);
  line-height: 1.4;
}
.p-product-detail-wrap .section .table th {
  max-width: 250px;
  font-weight: 600;
  background-color: #f6f6f6;
}
@media screen and (min-width: 992px) {
  .p-product-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 80px;
  }
  .p-product-detail {
    display: grid;
    grid-template-columns: 60% 1fr;
    gap: 80px;
    overflow: visible;
  }
  .p-product-detail-image {
    width: auto;
    display: flex;
    justify-content: end;
    left: 0;
    grid-area: 1/1/2/2;
  }
  .p-product-detail-image .inner {
    min-width: 60vw;
  }
  .p-product-detail-inner {
    grid-area: 1/2/2/3;
  }
  .p-product-detail-inner .inner {
    position: sticky;
    top: 100px;
  }
  .p-product-detail-wrap {
    grid-area: 2/1/3/3;
  }
}

/* --------------------------------- */